Package net.sf.saxon.trans

## Enum VisibilityProvenance

- java.lang.Object
- - java.lang.Enum<VisibilityProvenance>
  - - net.sf.saxon.trans.VisibilityProvenance

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VisibilityProvenance>`

      public enum VisibilityProvenance
      extends java.lang.Enum<VisibilityProvenance>

  Indicates where the visibility property of a component came from

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEPTED` |
    `DEFAULTED` |
    `DERIVED` |
    `EXPLICIT` |
    `EXPOSED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VisibilityProvenance` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VisibilityProvenance[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULTED

          public static final VisibilityProvenance DEFAULTED

    - #### EXPLICIT

          public static final VisibilityProvenance EXPLICIT

    - #### EXPOSED

          public static final VisibilityProvenance EXPOSED

    - #### ACCEPTED

          public static final VisibilityProvenance ACCEPTED

    - #### DERIVED

          public static final VisibilityProvenance DERIVED

  - ### Method Detail

    - #### values

          public static VisibilityProvenance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VisibilityProvenance c : VisibilityProvenance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VisibilityProvenance valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null